Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 23055 - Move jaxp-transform into libs/ext/
Move jaxp-transform into libs/ext/
Status: RESOLVED FIXED
Product: ide
Classification: Unclassified
Component: libs
3.x
All All
: P3 (vote)
: 3.x
Assigned To: _ lkramolis
issues@xml
:
Depends on: 20663
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-02 17:38 UTC by _ lkramolis
Modified: 2003-02-19 15:17 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments
Integration patch. (69.18 KB, patch)
2002-05-13 16:24 UTC, _ lkramolis
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description _ lkramolis 2002-05-02 17:38:48 UTC
Xalan (modules/autoload/ext/xalan-2.3.1.jar)
implements JAXP/transform API
(modules/autoload/ext/jaxp-transform-1.1.2.jar).
This part of JAXP must be loaded by same
classloader as Xalan to find TransformFactory
implementation now.

I would like to move jaxp-transform-1.1.2.jar into
libs/ext/jaxp.jar which should contain full JAXP
API. Now it is not possible (described above) --
xalan jar then should be on system classloader.
Comment 1 _ lkramolis 2002-05-02 17:40:22 UTC
Default JAXP's search for TransformFactory implementation use
Thread.getContextClassLoader. I think when issue #20663 implemented I
could clean such solution and move jaxp-transform.jar into
libs/ext/jaxp.jar.
Comment 2 _ lkramolis 2002-05-10 16:44:39 UTC
Because issue #20663 is fixed I plan to realize to separate standard
XML API from implementation.

I would like to commit lib/ext/xml-apis.jar
(http://xml.apache.org/commons/) which contains just SAX, DOM and full
JAXP.

And lib/ext/xerces.jar will contains just apache's parser
implementation -- package org.apache only.


Three reasons:
- Current xerces.jar contains some APIs but JAXP is not complete,
JAXP/transform is missing.

- APIs are independent from implementations and future JAXP 1.2
release already follow same way.

- XML module will mount xml-apis.jar as Java Library, so just APIs
will be implemented.
Comment 3 Jesse Glick 2002-05-10 16:55:54 UTC
This sounds good to me.
Comment 4 _ lkramolis 2002-05-13 16:24:30 UTC
Created attachment 5718 [details]
Integration patch.
Comment 5 _ lkramolis 2002-05-13 17:10:21 UTC
Integrated.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo